Bug 647360 - [RFE] Text output on publican based website.
[RFE] Text output on publican based website.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-28 00:34 EDT by Andrew Ross
Modified: 2010-12-07 22:49 EST (History)
7 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 22:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff ./bin/publican (881 bytes, text/plain)
2010-10-28 19:16 EDT, Andrew Ross
no flags Details
Diff ./lib/Publican/WebSite.pm (909 bytes, text/plain)
2010-10-28 19:17 EDT, Andrew Ross
no flags Details

  None (edit)
Description Andrew Ross 2010-10-28 00:34:57 EDT
Description of problem: RFE: inclusion of text as a display option in a publican based website.

Publican is able to build html,html-single,pdf,epub, and text formats. However, publican website does not allow for text as a display option. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andrew Ross 2010-10-28 19:16:49 EDT
Created attachment 456366 [details]
Diff ./bin/publican
Comment 2 Andrew Ross 2010-10-28 19:17:33 EDT
Created attachment 456367 [details]
Diff ./lib/Publican/WebSite.pm
Comment 3 Andrew Ross 2010-10-28 19:18:09 EDT
Got it work in latest trunk build. Attached diffs of the two files I had to edit.
Comment 4 Jeff Fearn 2010-10-28 19:36:45 EDT
Hi, thanks for the patch. You need to make using text optional and default the option off.

Also you haven't adjusted the packaging templates, so this patch won't work for RPMs.

Cheers, Jeff.
Comment 5 Andrew Ross 2010-10-29 00:05:58 EDT

(In reply to comment #4)
> Hi, thanks for the patch. You need to make using text optional and default the
> option off.
> 

Perhaps an option in publican.cfg?
Perhaps a more generic "add all valid formats" option

eg. if there are ecplipse, pdf, and txt versions... add them :)

> Also you haven't adjusted the packaging templates, so this patch won't work for
> RPMs.
> 

Perhaps keep it as a manual website only option.

> Cheers, Jeff.
Comment 6 Jeff Fearn 2010-11-18 23:23:20 EST
Path to image was incorrect.

Fixed in build: 2.3-0%{?dist}.t13
Comment 7 Jeff Fearn 2010-11-18 23:24:20 EST
D'oh, ignore comment 6, wrong bug
Comment 8 Jeff Fearn 2010-11-21 16:46:55 EST
Added web_fprmats option to override default formats used for web sites. Can be set in brand or book as usual.

Fixed in build: 2.3-0%{?dist}.t19
Comment 9 Andrew Ross 2010-11-21 20:46:49 EST
(In reply to comment #8)
> Added web_fprmats option to override default formats used for web sites. Can be
> set in brand or book as usual.
> 
> Fixed in build: 2.3-0%{?dist}.t19

Thanks Jeff :)

Built publican-2.3-0.fc14.t21 and manually updated my site. Worked a treat :)
Comment 10 Jeff Fearn 2010-12-07 22:49:21 EST
Publican 2.4 has shipped with a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.